summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authormischa <mischa@rx.high5.nl>2018-11-23 12:58:00 +0100
committermischa <mischa@rx.high5.nl>2018-11-23 12:58:00 +0100
commit2a40c74e5924bdd018867ee33003061ed22fc678 (patch)
tree4b07cbc685a291975bc594586b078291b2a045f1
parent00db32cd6839472a341ac5ae5eeb8d1b1aeae54b (diff)
more accurate user checking
-rwxr-xr-xdeploy.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/deploy.sh b/deploy.sh
index ad4a1ad..037cba5 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -287,7 +287,7 @@ create_users() {
_owner=$(check_owner "$username" "$owner")
if test -n "$_owner"
then
- if ! grep -e "^$_owner" /etc/passwd > /dev/null
+ if ! grep -e "^${_owner}:" /etc/passwd > /dev/null
then
useradd -m -G "$VMDUSERS" "$_owner"
echo "$message" > "/home/${_owner}/.ssh/authorized_keys"